%define	version 0.2.0
%define rel	%mkrel 4
%define	release	0.pre1.%{rel}

Name:		pornview
Summary:	An image and movie viewer/manager with thumbnail previews and a weird name
Version:	%{version} 
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
# Fixes segfault on certain directories (from Debian)
Patch0:		%{name}-dir_perm_fix.patch.bz2
# Main homepage seems to be dead
URL:		http://packages.debian.org/unstable/source/pornview
Group:		Graphics
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
BuildRequires:  pkgconfig
BuildRequires:	libgdk-pixbuf2
BuildRequires:	libgtk+1.2
Requires:	mplayer

%description
PornView is an image and movie viewer/manager with thumbnail previews.
Additional features includes thumbnail caching, directory tree views,
adjustable zoom and fullscreen view. It's a weird name but it's really
just a image and movie viewer:)

%prep
%setup -q
%patch0 -p1

%build
# Tarball sucks
%make clean
%configure --without-gtk2 --enable-mplayer
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}
# Install icons
install -m644 ./icons/pornview_16x16.png -D $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 ./icons/pornview_32x32.png -D $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 ./icons/pornview_48x48.png -D $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%name):command="%{_bindir}/pornview"\
 icon="%name.png" needs="X11" section="Multimedia/Graphics"\
 title="Pornview" longtitle="An image and movie viewer"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean 
rm -rf $RPM_BUILD_ROOT 

%files -f %{name}.lang
%defattr(-,root,root)
%doc TODO README AUTHORS
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/gnome/apps/Graphics/pornview.desktop

%changelog
* Sun Dec 04 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.0-0.pre1.4mdk
- Uh, disable gtk2 again (too broken)
- Enable movie support using mplayer (add requires: mplayer)

* Sat Dec 03 2005 Eskild Hustvedt <eskild@mandriva.org> 0.2.0-0.pre1.3mdk
- Really build the gtk2 interface
- Patch0 (from Debian): Fix segfault on certain directories (bug #16128)

* Sat Nov 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.0-0.pre1.2mdk
- Fix BuildRequires

* Wed May 18 2005  Eskild Hustvedt <eskild@mandriva.org> 0.2.0-0.pre1.1mdk
- Initial Mandriva Linux package
